#!/bin/sh
#$Id: configure.sh,v 9.8 1998/10/07 02:35:34 elca Exp $

echo "Please answer some questions..."

echo -n "Which emacs do you use? (default mule) "
read _EMACS
if [ x$_EMACS = x ]
then
    _EMACS=mule
fi

echo -n "Where to install? (default $HOME/elisp/color-mate/) "
read _INSTALL
if [ x$_INSTALL = x ]
then
    _INSTALL=$HOME/elisp/color-mate/
fi

echo -n 'Do you want to use "kanakan-cursor"? [y/N] '
read y_n
if [ x$y_n = xy ]
then
    KANAKAN=kanakan-cursor
fi

if [ x$KANAKAN = xkanakan-cursor ]
then
    echo -n '    Do you want to use "skk-cursor2"(for skk Ver.9.6)? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	SKK2=skk-cursor2.el
	SKKC2=skk-cursor2.elc
    fi

    echo -n '    Do you want to use "skk-cursor"(for skk Ver.8.x)? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	SKK=skk-cursor.el
	SKKC=skk-cursor.elc
    fi

    echo -n '    Do you want to use "egg-cursor"? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	EGG=egg-cursor.el
	EGGC=egg-cursor.elc
    fi

    echo -n '    Do you want to use "canna-cursor"? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	CANNA=canna-cursor.el
	CANNAC=canna-cursor.elc
    fi

    echo -n '    Do you want to use "sj3-cursor"? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	SJ3=sj3-cursor.el
	SJ3C=sj3-cursor.elc
    fi

    echo -n '    Do you want to use "leim-cursor"? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	LEIM=leim-cursor.el
	LEIMC=leim-cursor.elc
    fi

    echo -n '    Do you want to use "win32-cursor"(Mule for Win32)? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	WIN32=win32-cursor.el
	WIN32C=win32-cursor.elc
    fi
fi


echo -n 'Creating Makefiles & scripts...'

echo -n " color-mate"
sed -e s/@KANAKAN@/$KANAKAN/ \
    -e s:@EMACS@:$_EMACS: \
    -e s:@INSTALLPATH@:$_INSTALL: \
    ./Makefile.in > ./Makefile

if [ x$KANAKAN = xkanakan-cursor ]
then
    echo -n " kanakan-cursor"
    sed -e "s/@EL_FILE@/$SKK $SKK2 $EGG $CANNA $SJ3 $LEIM $WIN32/" \
        -e "s/@ELC_FILE@/$SKKC $SKKC2 $EGGC $CANNAC $SJ3C $LEIMC $WIN32C/" \
	-e s:@EMACS@:$_EMACS: \
	-e s:@INSTALLPATH@:$_INSTALL: \
	./kanakan-cursor/Makefile.in > ./kanakan-cursor/Makefile
fi

echo -n " contrib"
sed -e s:@EMACS@:$_EMACS: \
    -e s:@INSTALLPATH@:$_INSTALL: \
    ./contrib/Makefile.in > ./contrib/Makefile

echo -n " theme"
sed -e s:@EMACS@:$_EMACS: \
    -e s:@INSTALLPATH@:$_INSTALL: \
    ./theme/Makefile.in > ./theme/Makefile

echo -n " .emacs.add"
sed -e s:@INSTALLPATH@:$_INSTALL: \
    ./color-mate.emacs.add.in \
| sed -e 's://*:/:g' > ./color-mate.emacs.add

echo -n " contib/cm_select.sh"
sed -e s:@INSTALLPATH@:$_INSTALL: \
    ./contrib/cm_select.sh.in \
| sed -e 's://*:/:g' > ./contrib/cm_select.sh
chmod 755 ./contrib/cm_select.sh


echo " done."

# end
